<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <form>
        <div>
            <label for="inombre">Nombre</label>
            <input type="text" name="nombre" id="inombre">
        </div>
        <div>
            <button type="button" onclick="mostrar()">Probando</button>
        </div>
    </form>
    <script src="Ejemplo1.js"></script>
</body>

</html>